# ArtifactRepository

API Documentation: | `ArtifactRepository`

Known Subtypes: |
`IvyArtifactRepository`
`MavenArtifactRepository`

A repository for resolving and publishing artifacts.

### Properties

Property | Description
`name` | The name for this repository. A name must be unique amongst a repository set. A default name is provided for the repository if none is provided.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `name`

The name for this repository. A name must be unique amongst a repository set. A default name is provided for the repository if none is provided.

The name is used in logging output and error reporting to point to information related to this repository.